org.eclipse.rdf4j.rio

## Class NegativeParserTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.rio.NegativeParserTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NegativeParserTest
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `didIgnoreFailure`
    `protected FailureMode` | `failureMode`
    `protected IRI` | `testUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegativeParserTest(IRI testUri, String caseURI, String inputURL, String baseURL, RDFParser targetParser, FailureMode failureMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runTest()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### testUri

          protected IRI testUri

    - #### failureMode

          protected FailureMode failureMode

    - #### didIgnoreFailure

          protected boolean didIgnoreFailure

  - ### Constructor Detail

    - #### NegativeParserTest

          public NegativeParserTest(IRI testUri,
                                    String caseURI,
                                    String inputURL,
                                    String baseURL,
                                    RDFParser targetParser,
                                    FailureMode failureMode)
                             throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### runTest

          protected void runTest()

      Overrides:
        `runTest` in class `junit.framework.TestCase`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.